Page MenuHomePhabricator

Changes in the source article may cause de-facto data loss in an unpublished translation
Closed, ResolvedPublic1 Story Points

Description

I was translating [[Ambrose Bierce]] from English to Hebrew. I typed many paragraphs. While translating, I found some issues in the source article. Simple things like changing references or adding links didn't cause any trouble, but I also split a long paragraph to three paragraphs. When I reloaded the translation after splitting that paragraph, the paragraphs I wrote up to that point were loaded correctly, but from that paragraph on the translated paragraphs were empty.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : wmf/1.26wmf16Use parsoid permanent ids for section instead of CX generated ids
mediawiki/extensions/ContentTranslation : wmf/1.26wmf15Use parsoid permanent ids for section instead of CX generated ids
mediawiki/extensions/ContentTranslation : masterUse parsoid permanent ids for section instead of CX generated ids

Event Timeline

Amire80 created this task.Jul 21 2015, 9:20 PM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Arrbee, santhosh, eranroz and 3 others.

Change 220442 had a related patch set uploaded (by Santhosh):
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/220442

santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.Jul 27 2015, 4:36 AM
Amire80 set Security to None.Jul 27 2015, 4:21 PM
Amire80 edited a custom field.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:47 PM

Change 220442 merged by jenkins-bot:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/220442

Change 227942 had a related patch set uploaded (by KartikMistry):
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227942

Change 227943 had a related patch set uploaded (by KartikMistry):
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227943

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 5 2015, 7:06 AM

Change 227942 abandoned by KartikMistry:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227942

Change 227943 abandoned by KartikMistry:
Use parsoid permanent ids for section instead of CX generated ids

https://gerrit.wikimedia.org/r/227943

Arrbee closed this task as Resolved.Aug 7 2015, 7:07 AM